moeoSolutionUnaryMetric(3)

NAME
moeoSolutionUnaryMetric - Base class for unary metrics dedicated to the performance evaluation of a single solution's objective vector.

SYNOPSIS

#include <moeoMetric.h>

Inherits moeoUnaryMetric< const ObjectiveVector &, R >.

Detailed Description

  template<class ObjectiveVector, class R> class moeoSolutionUnaryMetric< ObjectiveVector, R >
Base class for unary metrics dedicated to the performance evaluation of a single solution's objective vector.

Definition at line 43 of file moeoMetric.h.

Author

Generated automatically by Doxygen for ParadisEO-MOEO from the source code.